package cn.iocoder.yudao.framework.apollo.core.constants;

/**
 * 常量配置
 *
 * @author zhengYi
 */
public class Constants {


    /**
     * 客户端会员通用管理端账号配置类型
     */
    public static final String CUSTOMER_USER_TO_ADMIN = "CUSTOMER_USER_TO_ADMIN";

    public static final String CUSTOMER_USER_APPROVAL_ID = "CUSTOMER_USER_APPROVAL_ID";



    /**
     * 不接收货物code编码常量配置
     */
    public static final String NOT_ACCEPTED_PROD_CODE = "F";

    /**
     * 目的仓不选择key
     */
    public static final String RECEIVE_ADDR_KEY = "1:1:1";

    /**
     * 目的仓全选key
     */
    public static final String RECEIVE_ADDR_ALL_KEY = "0:0:0";
}
