package cn.iocoder.yudao.framework.apollo.core.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class ChannelClearancePriceDto {
    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 渠道id
     */
    private Long channelId;
    /**
     * 包装类型ID
     */
    private Long packagingId;

    /**
     * 起始数量
     */
    private java.math.BigDecimal startNum;
    /**
     * 结束数量
     */
    private java.math.BigDecimal endNum;
    /**
     * 数量单位
     */
    private Long weightUnit;
    /**
     * 清关费用
     */
    private java.math.BigDecimal clearancePrice;
    /**
     * 清关金额单位
     */
    private Long clearancePriceUnit;
    /**
     * 清关体积单位
     */
    private Long clearanceVolumeUnit;
}
