package cn.iocoder.yudao.framework.apollo.core.event.Customer;

import lombok.AllArgsConstructor;
import lombok.Data;

/*
  添加公海捞取是计算客户类型
 */
@Data
public class CalculateCustomerTypeEvent {

    /**
     * 客户编码
     */
    private String customerNumber;

    /*
     客户ID
     */
    private Long customerId;

    /*
     新客户经理
     */
    private Long oldCustomerService;

    /*
     老客户经理
     */
    private Long newCustomerService;

    /*
     客户状态：1.线索2.意向3.成交
     通过客户状态来判断客户是否是已成交客户
     */
    private Integer status;
}
