package cn.iocoder.yudao.framework.apollo.core.event.Order;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
public class OrderApprovalTypeCheckEvent {


    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单项id
     */
    private List<Long> orderItemIdList;

    /**
     * 订单审批类型 {@link cn.iocoder.yudao.module.order.enums.OrderApprovalTypeEnum}
     */
    private Integer approvalType;

    /**
     * 订单审批类型列表 {@link cn.iocoder.yudao.module.order.enums.OrderApprovalTypeEnum}
     */
    private List<Integer> approvalTypeList;

    /**
     * 是否包含互斥审批类型： true 包含互斥审批或相同的审批不能进行重复审批 false 是没有包含互斥审批类型和当前审批类型
     */
    private Boolean result;
}
