package cn.iocoder.yudao.framework.apollo.core.event.Order;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * 客户订单归属客户经理集合 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class OrderCustomerServiceEvent {

    /**
     * 客户ID
     */
    private Long customerId;
    /**
     * 客户订单归属的客户经理id集合
     */
    private List<Long> customerServices;


}
