package cn.iocoder.yudao.framework.apollo.core.event.box;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Date;


/**
 * 排单校验 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class BoxOrderDynamicEstTimeEvent {


    /**
     * 货柜自编号
     */
    private String containerNumber;

    /**
     * 查询类型：预留... 10 订舱预计开船时间 11 起运预计到港时间  12 到港清关预计清关时间
     */
    private Integer type;


    /**
     * 预计时间
     */
    private Date estTime;

}
