package cn.iocoder.yudao.framework.apollo.core.event.box;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Date;


/**
 * 强制到仓 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class BoxOrderForceWarehouseCheckEvent {


    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 自编号
     */
    private String selfNo;
    /**
     * 自编号
     */
    private Date unloadTime;
    /**
     * 运输方式id
     */
    private Integer transportId;

}
