package cn.iocoder.yudao.framework.apollo.core.event.export;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProductPriceExcelExportPushEvent {

    /**
     * 操作用户
     */
    private Long userId;
    /**
     * 端口
     */
    private Integer userType;

    /**
     * 请求参数
     */
    private String requestParams;
    /**
     * 国际化语言值，默认0中文, 具体取值I18nMessage.getLang()
     */
    private Integer lang = 0;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件路径
     */
    private String path;

    /**
     * 下载地址
     */
    private String url;

    /**
     * 执行结果
     */
    private String result;


    @ApiModelProperty(value = "文件ID")
    private Long fileId;
}
