package cn.iocoder.yudao.framework.apollo.core.event.prod;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 更新商品 下的 空运订单重量上限事件
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ProductUpdateAutoProcessOverWeightExceptionEvent {

    /**
     * 商品id
     */
    private Long prodId;

    /**
     * 空运重量上限.老的
     */
    private BigDecimal airWeightLimitOld;

    /**
     * 空运重量上限.新的
     */
    private BigDecimal airWeightLimitNew;
}
