package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.AllArgsConstructor;
import lombok.Data;


/**
 * 客户分配确认 Event
 *
 * @author yanghao
 */
@Data
@AllArgsConstructor
public class AssignConfirmedCustomerEvent {


    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 客户经理
     */
    private Long customerService;

}
