package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class LineChannelUpdateAirWeightEvent {

    /**
     * input: 线路id
     */
    private Long lineId;

    /**
     * input: 渠道id
     */
    private Long channelId;

    /**
     * input: 包装类型
     */
    private String packingType;

    /**
     * output：空运重量上限.
     */
    private BigDecimal airWeightLimit;
}
