package cn.iocoder.yudao.framework.apollo.core.event.box;

import lombok.AllArgsConstructor;
import lombok.Data;


/**
 * 审批校验 Event
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class BoxCheckOrderApprovalEvent {


    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 自编号
     */
    private String selfNo;
    /**
     * 类型
     */
    private Integer auditType;
    /**
     * 结果
     */
    private String auditResult;
    /**
     * 是否存在
     */
    private Boolean isExists;
}
